Billing
Create a billing portal session
Creates a Stripe billing portal session and returns its URL. Requires a user who is an admin of the organization in the path.
POST
/
v1
/
billing
/
organizations
/
{org_id}
/
portal-session
Create a billing portal session
curl --request POST \
--url https://api.anthid.com/v1/billing/organizations/{org_id}/portal-session \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"return_url": "https://app.anthid.com/settings/billing"
}
'import requests
url = "https://api.anthid.com/v1/billing/organizations/{org_id}/portal-session"
payload = { "return_url": "https://app.anthid.com/settings/billing" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({return_url: 'https://app.anthid.com/settings/billing'})
};
fetch('https://api.anthid.com/v1/billing/organizations/{org_id}/portal-session', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.anthid.com/v1/billing/organizations/{org_id}/portal-session",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'return_url' => 'https://app.anthid.com/settings/billing'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.anthid.com/v1/billing/organizations/{org_id}/portal-session"
payload := strings.NewReader("{\n \"return_url\": \"https://app.anthid.com/settings/billing\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.anthid.com/v1/billing/organizations/{org_id}/portal-session")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"return_url\": \"https://app.anthid.com/settings/billing\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.anthid.com/v1/billing/organizations/{org_id}/portal-session")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"return_url\": \"https://app.anthid.com/settings/billing\"\n}"
response = http.request(request)
puts response.read_body{
"url": "https://billing.stripe.com/p/session/test_123"
}"<string>""<string>""<string>"<string><string><string>"<string>"Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Organization ID
Body
application/json
Return URL where Stripe should send the user after they leave the billing portal
Where Stripe should send the user after they exit the customer portal.
Example:
"https://app.anthid.com/settings/billing"
Response
Billing portal session created
Stripe-hosted customer portal session URL.
Example:
"https://billing.stripe.com/p/session/test_123"
⌘I
Create a billing portal session
curl --request POST \
--url https://api.anthid.com/v1/billing/organizations/{org_id}/portal-session \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"return_url": "https://app.anthid.com/settings/billing"
}
'import requests
url = "https://api.anthid.com/v1/billing/organizations/{org_id}/portal-session"
payload = { "return_url": "https://app.anthid.com/settings/billing" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({return_url: 'https://app.anthid.com/settings/billing'})
};
fetch('https://api.anthid.com/v1/billing/organizations/{org_id}/portal-session', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.anthid.com/v1/billing/organizations/{org_id}/portal-session",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'return_url' => 'https://app.anthid.com/settings/billing'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.anthid.com/v1/billing/organizations/{org_id}/portal-session"
payload := strings.NewReader("{\n \"return_url\": \"https://app.anthid.com/settings/billing\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.anthid.com/v1/billing/organizations/{org_id}/portal-session")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"return_url\": \"https://app.anthid.com/settings/billing\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.anthid.com/v1/billing/organizations/{org_id}/portal-session")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"return_url\": \"https://app.anthid.com/settings/billing\"\n}"
response = http.request(request)
puts response.read_body{
"url": "https://billing.stripe.com/p/session/test_123"
}"<string>""<string>""<string>"<string><string><string>"<string>"